Index: net/munin/Portfile
===================================================================
--- net/munin/Portfile	(revision 93513)
+++ net/munin/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                munin
 version             1.4.5
@@ -28,9 +29,9 @@
 checksums           md5     4ae84b9a27b686c3819d8d7b51d8cb4c \
                     sha1    bd1e8ad1fe1cfade1de9c28f3ad69bf35ca495ca \
                     rmd160  883aa4baacfa5be1ec6a83737d5d241c40ad6912
-depends_lib         port:perl5.12 port:p5.12-net-server \
-                    path:bin/config_data:p5.12-module-build \
-                    port:p5.12-net-snmp port:p5.12-net-ssleay
+depends_lib         port:perl${perl5.major} port:p${perl5.major}-net-server \
+                    path:bin/config_data:p${perl5.major}-module-build \
+                    port:p${perl5.major}-net-snmp port:p${perl5.major}-net-ssleay
 
 use_configure       no
 use_parallel_build  no
@@ -38,7 +39,7 @@
                     patch-Makefile.config \
                     patch-munin-node.conf.in
 post-patch {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|" \
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|" \
         ${worksrcpath}/master/_bin/munin-update.in \
         ${worksrcpath}/node/extras/munin-node-sched \
         ${worksrcpath}/node/extras/munin-node-simple.in \
@@ -60,7 +61,7 @@
                     LIBDIR=${prefix}/lib/munin \
                     HTMLDIR=${prefix}/www/munin \
                     CGIDIR=${prefix}/www/cgi-bin \
-                    PERL=${prefix}/bin/perl5.12
+                    PERL=${prefix}/bin/perl${perl5.major}
 destroot.args       PREFIX=${destroot}${prefix} \
                     CONFDIR=${destroot}${prefix}/etc/munin \
                     DBDIR=${destroot}${prefix}/var/munin \
@@ -71,7 +72,7 @@
                     LIBDIR=${destroot}${prefix}/lib/munin \
                     HTMLDIR=${destroot}${prefix}/www/munin \
                     CGIDIR=${destroot}${prefix}/www/cgi-bin \
-                    PERL=${prefix}/bin/perl5.12
+                    PERL=${prefix}/bin/perl${perl5.major}
 destroot.keepdirs   ${destroot}${prefix}/var/log/munin \
                     ${destroot}${prefix}/var/run/munin \
                     ${destroot}${prefix}/etc/munin/plugins \
@@ -87,11 +88,11 @@
 
 variant server description {Install Munin server} {
     depends_lib-append	port:rrdtool \
-			port:p5.12-html-template \
-			port:p5.12-time-hires \
-			port:p5.12-digest-md5 \
-			port:p5.12-text-balanced \
-                        port:p5.12-log-log4perl
+			port:p${perl5.major}-html-template \
+			port:p${perl5.major}-time-hires \
+			port:p${perl5.major}-digest-md5 \
+			port:p${perl5.major}-text-balanced \
+                        port:p${perl5.major}-log-log4perl
     destroot.target-append install-master-prime
 }
 
Index: net/torrentsniff/Portfile
===================================================================
--- net/torrentsniff/Portfile	(revision 93513)
+++ net/torrentsniff/Portfile	(working copy)
@@ -18,8 +18,8 @@
 checksums		md5  3884cac276a990a95ea77738195508aa \
 				sha1 ee683f2fbce004ae2f6daf9589b0d65db529fffb
 
-depends_lib-append		port:p5.12-libwww-perl \
-				port:p5.12-digest-sha1
+depends_lib-append		port:p${perl5.major}-libwww-perl \
+				port:p${perl5.major}-digest-sha1
 
 patchfiles		patch_torrentsniff
 
Index: net/snmptt/Portfile
===================================================================
--- net/snmptt/Portfile	(revision 93513)
+++ net/snmptt/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem        1.0
+PortGroup			perl5	1.0
 
 name              snmptt
 version           1.2
@@ -17,8 +18,8 @@
 distfiles	  ${name}_${version}.tgz
 worksrcdir	  ${name}_${version}
 
-depends_lib       port:perl5.12 \
-		  port:p5.12-config-inifiles
+depends_lib       port:perl${perl5.major} \
+		  port:p${perl5.major}-config-inifiles
 
 use_configure     no
 build             {}
@@ -29,7 +30,7 @@
 set scriptdir	${prefix}/share/${name}
 
 post-patch {
-	reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+	reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
 		${worksrcpath}/snmptt \
 		${worksrcpath}/snmptt-net-snmp-test \
 		${worksrcpath}/snmpttconvert \
@@ -89,7 +90,7 @@
 -Edit your snmptrapd.conf (you may use the snmpconf utility) and make sure that
  these items are present.
 
-	traphandle  default ${prefix}/bin/perl5.12 ${prefix}/sbin/snmptt
+	traphandle  default ${prefix}/bin/perl${perl5.major} ${prefix}/sbin/snmptt
 
 \n"
 }
Index: net/GTorrentViewer/Portfile
===================================================================
--- net/GTorrentViewer/Portfile	(revision 93513)
+++ net/GTorrentViewer/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name	 	GTorrentViewer
 version	   	0.2b
@@ -22,7 +23,7 @@
 depends_build	port:pkgconfig
 depends_lib 	lib:libgtk.2:gtk2 \
 		port:curl \
-		port:p5.12-xml-parser
+		port:p${perl5.major}-xml-parser
 
 configure.args	--mandir=${prefix}/share/man --with-curl-config=${prefix}/bin \
 		--disable-gtktest
Index: net/rancid/Portfile
===================================================================
--- net/rancid/Portfile	(revision 93513)
+++ net/rancid/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name				rancid
 version				2.3.6
@@ -19,9 +20,9 @@
 master_sites		        ftp://ftp.shrubbery.net/pub/rancid/
 checksums			md5 603dcc7923b0d34c024490c534362a35
 
-depends_lib                     port:perl5.12 \
+depends_lib                     port:perl${perl5.major} \
 				port:openssl \
-				port:p5.12-lockfile-simple
+				port:p${perl5.major}-lockfile-simple
 
 patchfiles			patch-etc-Makefile.in
 
Index: net/argus-monitor/Portfile
===================================================================
--- net/argus-monitor/Portfile	(revision 93513)
+++ net/argus-monitor/Portfile	(working copy)
@@ -1,5 +1,6 @@
 # $Id$
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name			argus-monitor
 version			3.5
@@ -15,23 +16,23 @@
 distfiles		argus-${version}.tgz
 worksrcdir		argus-${version}
 
-depends_lib		port:perl5.12 \
+depends_lib		port:perl${perl5.major} \
 			port:postfix \
 			port:openssl \
 			port:freetype \
 			port:gd2 \
 			port:fping \
 			port:db44 \
-			port:p5.12-dbi \
-			port:p5.12-berkeleydb \
-			port:p5.12-socket6 \
-			port:p5.12-gd \
-			port:p5.12-time-hires \
-			port:p5.12-net-ssleay \
-			port:p5.12-digest-hmac \
-			port:p5.12-digest-md5 \
-			port:p5.12-digest-sha1 \
-			port:p5.12-crypt-des
+			port:p${perl5.major}-dbi \
+			port:p${perl5.major}-berkeleydb \
+			port:p${perl5.major}-socket6 \
+			port:p${perl5.major}-gd \
+			port:p${perl5.major}-time-hires \
+			port:p${perl5.major}-net-ssleay \
+			port:p${perl5.major}-digest-hmac \
+			port:p${perl5.major}-digest-md5 \
+			port:p${perl5.major}-digest-sha1 \
+			port:p${perl5.major}-crypt-des
 
 patchfiles		patch-Makefile.tplt
 
Index: net/ddclient/Portfile
===================================================================
--- net/ddclient/Portfile	(revision 93513)
+++ net/ddclient/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name                ddclient
 version             3.8.1
@@ -20,12 +21,12 @@
 checksums           rmd160  7b702d28c47e48ed19eedd6b2e50930f394e9631 \
                     sha256  f22ac7b0ec78e310d7b88a1cf636e5c00360b2ed9c087f231b3522ef3e6295f2
 
-depends_lib         port:p5.12-io-socket-ssl
-depends_run         port:perl5.12
+depends_lib         port:p${perl5.major}-io-socket-ssl
+depends_run         port:perl${perl5.major}
 
 configure   {
         reinplace "s|\[\r\]$||" ${worksrcpath}/${name}
-        reinplace "s|^#!.*/perl.*$|#!${prefix}/bin/perl5.12|" ${worksrcpath}/${name}
+        reinplace "s|^#!.*/perl.*$|#!${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/${name}
         reinplace "s|/etc/|${prefix}/etc/|" ${worksrcpath}/${name}
 }
 
Index: net/nedi/Portfile
===================================================================
--- net/nedi/Portfile	(revision 93513)
+++ net/nedi/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name			nedi
 version			1.0.5
@@ -21,16 +22,16 @@
 worksrcdir		${name}
 checksums		md5 6ed980228483addfdc5caf14430d7570
 
-depends_lib		port:perl5.12 \
+depends_lib		port:perl${perl5.major} \
 			path:bin/mysql_config5:mysql5 \
-			port:p5.12-net-snmp \
-			port:p5.12-net-ssh-perl \
-			port:p5.12-net-telnet \
-			port:p5.12-net-telnet-cisco \
-			port:p5.12-libwww-perl \
-			port:p5.12-algorithm-diff \
-			port:p5.12-dbi \
-			port:p5.12-dbd-mysql \
+			port:p${perl5.major}-net-snmp \
+			port:p${perl5.major}-net-ssh-perl \
+			port:p${perl5.major}-net-telnet \
+			port:p${perl5.major}-net-telnet-cisco \
+			port:p${perl5.major}-libwww-perl \
+			port:p${perl5.major}-algorithm-diff \
+			port:p${perl5.major}-dbi \
+			port:p${perl5.major}-dbd-mysql \
 			port:rrdtool \
 			port:fping
 
@@ -59,7 +60,7 @@
 
 post-destroot {
 # Fix general paths
-       eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+       eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
                 [glob ${destroot}${nedidir}/*.pl] \
 		[glob ${destroot}${nedidir}/inc/*.pl] \
                 [glob ${destroot}${nedidir}/html/inc/*.pl] \
Index: net/shelldap/Portfile
===================================================================
--- net/shelldap/Portfile	(revision 93513)
+++ net/shelldap/Portfile	(working copy)
@@ -22,16 +22,16 @@
                     sha1    f06fabca2e3b7c41360cd9c2bbddbc45f8836ca4 \
                     rmd160  2aae3bfc0f8d00dec4cdd9ad9634606b49a185c2
 
-depends_lib-append 	port:p5.12-perl-ldap \
-			port:p5.12-term-shell \
-			port:p5.12-yaml-syck \
-			port:p5.12-algorithm-diff \
-			port:p5.12-digest-hmac \
-			port:p5.12-term-readline-gnu \
-			port:p5.12-term-readkey
+depends_lib-append 	port:p${perl5.major}-perl-ldap \
+			port:p${perl5.major}-term-shell \
+			port:p${perl5.major}-yaml-syck \
+			port:p${perl5.major}-algorithm-diff \
+			port:p${perl5.major}-digest-hmac \
+			port:p${perl5.major}-term-readline-gnu \
+			port:p${perl5.major}-term-readkey
 
 patch {
-	reinplace "s|#!.*perl|#!${prefix}/bin/perl5.12|" ${worksrcpath}/shelldap
+	reinplace "s|#!.*perl|#!${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/shelldap
 }
 
 use_configure		no
Index: net/nagios-plugins/Portfile
===================================================================
--- net/nagios-plugins/Portfile	(revision 93513)
+++ net/nagios-plugins/Portfile	(working copy)
@@ -24,10 +24,10 @@
 destroot.destdir        prefix=${prefix} DESTDIR=${destroot}
 
 depends_build		port:fping \
-			port:p5.12-net-snmp \
-			port:p5.12-digest-sha1 \
-			port:p5.12-digest-hmac \
-			port:p5.12-crypt-des \
+			port:p${perl5.major}-net-snmp \
+			port:p${perl5.major}-digest-sha1 \
+			port:p${perl5.major}-digest-hmac \
+			port:p${perl5.major}-crypt-des \
 			port:openssl
 
 configure.args		--sbindir=${prefix}/share/nagios/cgi-bin \
Index: net/mosh/Portfile
===================================================================
--- net/mosh/Portfile	(revision 93513)
+++ net/mosh/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem              1.0
+PortGroup			perl5	1.0
 
 name                    mosh
 version                 1.2
@@ -22,12 +23,12 @@
 depends_build           port:pkgconfig
 
 depends_lib             port:ncurses \
-                        port:p5.12-io-tty \
+                        port:p${perl5.major}-io-tty \
                         port:protobuf-cpp \
                         port:zlib
 
 post-patch {
-    reinplace "s|#!/usr/bin/env perl|#!${prefix}/bin/perl5.12|" ${worksrcpath}/scripts/mosh
+    reinplace "s|#!/usr/bin/env perl|#!${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/scripts/mosh
 }
 
 livecheck.type          regex
Index: net/vantages/Portfile
===================================================================
--- net/vantages/Portfile	(revision 93513)
+++ net/vantages/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem              1.0
+PortGroup			perl5	1.0
 
 name                    vantages
 version                 0.8.8b
@@ -44,7 +45,7 @@
                         port:libtool \
                         port:libpcap \
                         port:openssl \
-                        port:p5.12-term-readkey \
+                        port:p${perl5.major}-term-readkey \
                         port:sqlite3
 
 use_autoreconf          yes
Index: net/snownews/Portfile
===================================================================
--- net/snownews/Portfile	(revision 93513)
+++ net/snownews/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                snownews
 version             1.5.12
@@ -24,11 +25,11 @@
 
 depends_lib         port:libxml2 \
                     port:gettext \
-                    port:p5.12-xml-libxml
+                    port:p${perl5.major}-xml-libxml
 
 post-patch {
     # We want to use perl from MacPorts.
-    reinplace s|/usr/bin/perl|${prefix}/bin/perl5.12| ${worksrcpath}/opml2snow
+    reinplace s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}| ${worksrcpath}/opml2snow
 }
 
 build.args          EXTRA_CFLAGS="-I${prefix}/include" \
Index: net/monarch/Portfile
===================================================================
--- net/monarch/Portfile	(revision 93513)
+++ net/monarch/Portfile	(working copy)
@@ -1,5 +1,6 @@
 # $Id$
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name                    monarch
 version                 2.5.0
@@ -15,15 +16,15 @@
 patchfiles              patch-nmap_scan-nmap_scan.c
 depends_build		port:nagios
 depends_lib             path:bin/mysql_config5:mysql5 \
-			port:p5.12-libwww-perl \
-			port:p5.12-xml-namespacesupport \
-			port:p5.12-xml-sax \
-			port:p5.12-xml-libxml \
-			port:p5.12-nmap-scanner \
-			port:p5.12-dbi \
-			port:p5.12-dbd-mysql \
-			port:p5.12-cgi-ajax \
-			port:p5.12-class-accessor
+			port:p${perl5.major}-libwww-perl \
+			port:p${perl5.major}-xml-namespacesupport \
+			port:p${perl5.major}-xml-sax \
+			port:p${perl5.major}-xml-libxml \
+			port:p${perl5.major}-nmap-scanner \
+			port:p${perl5.major}-dbi \
+			port:p${perl5.major}-dbd-mysql \
+			port:p${perl5.major}-cgi-ajax \
+			port:p${perl5.major}-class-accessor
 patch.post_args		-F 3
 use_configure		no
 build {}
@@ -43,13 +44,13 @@
 }
 
 post-destroot {
-        eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+        eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
                 [glob ${destroot}${monarchdir}/*.pl]
 
-	eval reinplace "s|/usr/local/groundwork/bin/perl|${prefix}/bin/perl5.12|g" \
+	eval reinplace "s|/usr/local/groundwork/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
 		[glob ${destroot}${monarchdir}/*.cgi]
 
-        eval reinplace "s|/usr/local/groundwork/bin/perl|${prefix}/bin/perl5.12|g" \
+        eval reinplace "s|/usr/local/groundwork/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
                 [glob ${destroot}${monarchdir}/*.p*]  
 
         eval reinplace "s|/usr/local/groundwork/monarch|${monarchdir}|g" \
Index: net/fwknop/Portfile
===================================================================
--- net/fwknop/Portfile	(revision 93513)
+++ net/fwknop/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 name		fwknop
 version		1.9.12
 revision    1
@@ -40,20 +41,20 @@
 
 use_bzip2	yes
 
-depends_lib	port:p5.12-crypt-cbc \
-		port:p5.12-crypt-rijndael \
-		port:p5.12-digest-sha \
-		port:p5.12-net-ipv4addr \
-		port:p5.12-net-ping-external \
-		port:p5.12-term-readkey \
-		port:p5.12-unix-syslog
+depends_lib	port:p${perl5.major}-crypt-cbc \
+		port:p${perl5.major}-crypt-rijndael \
+		port:p${perl5.major}-digest-sha \
+		port:p${perl5.major}-net-ipv4addr \
+		port:p${perl5.major}-net-ping-external \
+		port:p${perl5.major}-term-readkey \
+		port:p${perl5.major}-unix-syslog
 
 use_configure	no
 build		{}
 
 destroot {
-	system "cd ${worksrcpath} && ${prefix}/bin/perl5.12 -w -p -i -e 's:^#!/usr/bin/perl -w$:#!${prefix}/bin/perl5.12 -w:' fwknop"
-	system "cd ${worksrcpath} && ${prefix}/bin/perl5.12 -w -p -i -e 's:^use lib ./usr/lib/fwknop.;::' fwknop"
+	system "cd ${worksrcpath} && ${prefix}/bin/perl${perl5.major} -w -p -i -e 's:^#!/usr/bin/perl -w$:#!${prefix}/bin/perl${perl5.major} -w:' fwknop"
+	system "cd ${worksrcpath} && ${prefix}/bin/perl${perl5.major} -w -p -i -e 's:^use lib ./usr/lib/fwknop.;::' fwknop"
 	xinstall -m 755 ${worksrcpath}/fwknop ${destroot}${prefix}/bin
 	xinstall -m 644 ${worksrcpath}/fwknop.8 ${destroot}${prefix}/share/man/man8
 }
Index: net/sendpage/Portfile
===================================================================
--- net/sendpage/Portfile	(revision 93513)
+++ net/sendpage/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name			sendpage
 version			1.000003
@@ -20,10 +21,10 @@
 master_sites	sourceforge
 checksums		md5 586afe41d6cd82d045fdc34ccf99cab3
 
-depends_lib port:p5.12-net-snpp \
-			port:p5.12-device-serialport \
-			port:p5.12-mailtools \
-			port:p5.12-dbi
+depends_lib port:p${perl5.major}-net-snpp \
+			port:p${perl5.major}-device-serialport \
+			port:p${perl5.major}-mailtools \
+			port:p${perl5.major}-dbi
 
 use_configure		no
 build {}
@@ -68,7 +69,7 @@
 }
 
 destroot {
-		system "cd ${worksrcpath} && ${prefix}/bin/perl5.12 Makefile.PL"
+		system "cd ${worksrcpath} && ${prefix}/bin/perl${perl5.major} Makefile.PL"
 		system "cd ${worksrcpath} && make"
 		system "cd ${worksrcpath} && make install"
 }
Index: net/nfsen/Portfile
===================================================================
--- net/nfsen/Portfile	(revision 93513)
+++ net/nfsen/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            nfsen
 version         1.3
@@ -17,10 +18,10 @@
 
 checksums       md5 1c4f057bbb3766090b40bda3ab6b81d2
 
-depends_lib     port:perl5.12 \
+depends_lib     port:perl${perl5.major} \
                 port:rrdtool \
-                port:p5.12-mailtools \
-                port:p5.12-sys-syslog \
+                port:p${perl5.major}-mailtools \
+                port:p${perl5.major}-sys-syslog \
                 port:nfdump
 
 patchfiles      patch-install.pl.diff \
@@ -58,7 +59,7 @@
                 ${worksrcpath}/install.pl
         eval reinplace "s|__PREFIX__|${prefix}|g" \
                 [glob ${worksrcpath}/bin/*]
-        eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+        eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
                 [glob ${worksrcpath}/installer-items/*.pm]
 }
 
@@ -79,7 +80,7 @@
 # Set profiles-stat and profiles-data to destroot until install is done
         reinplace "s|\${VARDIR}/profiles|${destroot}${prefix}/var/nfsen/profiles|g" \
                 ${worksrcpath}/etc/nfsen-dist.conf
-        system -W ${worksrcpath} "${prefix}/bin/perl5.12 ./install.pl ./etc/nfsen-dist.conf"
+        system -W ${worksrcpath} "${prefix}/bin/perl${perl5.major} ./install.pl ./etc/nfsen-dist.conf"
 
 # Replace the original .conf file
         file rename -force ${destroot}${prefix}/etc/nfsen-dist.conf.org \
Index: net/smokeping/Portfile
===================================================================
--- net/smokeping/Portfile	(revision 93513)
+++ net/smokeping/Portfile	(working copy)
@@ -27,19 +27,19 @@
 			patch-etc-config.dist \
 			patch-htdocs-smokeping.cgi.dist
 
-depends_lib-append	port:perl5.12 \
+depends_lib-append	port:perl${perl5.major} \
 			port:rrdtool \
-			port:p5.12-libwww-perl \
-			port:p5.12-cgi-speedycgi \
-			port:p5.12-socket6 \
-			port:p5.12-net-snmp \
-			port:p5.12-net-telnet \
-			port:p5.12-net-dns \
-			port:p5.12-net-radius \
-			port:p5.12-perl-ldap \
-			port:p5.12-io-socket-ssl \
-			port:p5.12-pathtools \
-			port:p5.12-snmp_session \
+			port:p${perl5.major}-libwww-perl \
+			port:p${perl5.major}-cgi-speedycgi \
+			port:p${perl5.major}-socket6 \
+			port:p${perl5.major}-net-snmp \
+			port:p${perl5.major}-net-telnet \
+			port:p${perl5.major}-net-dns \
+			port:p${perl5.major}-net-radius \
+			port:p${perl5.major}-perl-ldap \
+			port:p${perl5.major}-io-socket-ssl \
+			port:p${perl5.major}-pathtools \
+			port:p${perl5.major}-snmp_session \
 			port:fping \
 			port:echoping \
 			port:curl
@@ -82,7 +82,7 @@
                 [glob ${worksrcpath}/bin/*.dist] \
                 [glob ${worksrcpath}/htdocs/*.dist]
 
-	eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+	eval reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
                 [glob ${worksrcpath}/bin/*.dist] \
                 [glob ${worksrcpath}/etc/*.dist] \
                 [glob ${worksrcpath}/htdocs/*.dist]
Index: net/mediaserv/Portfile
===================================================================
--- net/mediaserv/Portfile	(revision 93513)
+++ net/mediaserv/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            mediaserv
 version         0.05
@@ -32,12 +33,12 @@
                 rmd160 78e824cd8b28effc58543e75aaf63e2cdc958941
 worksrcdir      ${name}
 
-depends_run     port:perl5.12 port:p5.12-libwww-perl port:p5.12-xml-rss \
-                port:p5.12-datetime port:MPlayer port:tablet-encode
+depends_run     port:perl${perl5.major} port:p${perl5.major}-libwww-perl port:p${perl5.major}-xml-rss \
+                port:p${perl5.major}-datetime port:MPlayer port:tablet-encode
 
 patchfiles      patch-mediaserv.diff patch-install_sh.diff
 post-patch {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
         ${worksrcpath}/mediaserv
     reinplace "s|@@STATIC_DIR@@|${prefix}/share/${name}|g" \
         ${worksrcpath}/install.sh
Index: net/nrg/Portfile
===================================================================
--- net/nrg/Portfile	(revision 93513)
+++ net/nrg/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name				nrg
 version				0.99.27
@@ -20,7 +21,7 @@
 master_sites		        ftp://noc.hep.wisc.edu/src/nrg/ \
 				ftp://noc.hep.wisc.edu/pub/src/nrg/
 checksums			md5 c38e6b27bc99f8f7fd825bc6e1a44f68
-depends_lib			port:rrdtool port:p5.12-time-hires
+depends_lib			port:rrdtool port:p${perl5.major}-time-hires
 patchfiles			patch-nrg-discover-tcp.in.diff
 
 configure.pre_args		--prefix=${prefix}/var/${name}
Index: sysutils/rsnapshot/Portfile
===================================================================
--- sysutils/rsnapshot/Portfile	(revision 93513)
+++ sysutils/rsnapshot/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name                rsnapshot
 version             1.3.1
@@ -22,11 +23,11 @@
                     rmd160  948ee5669c5da0728f607007da4d5fbbcfcdd8c7 \
                     sha256  94b6c77e40628935f42a191bdc28ad93b1f132fde456ee76ee87763f1eddc75e
 
-depends_lib         port:rsync port:p5.12-lchown bin:ssh:openssh
+depends_lib         port:rsync port:p${perl5.major}-lchown bin:ssh:openssh
 
 configure.args      --mandir=${prefix}/share/man \
                     --with-rsync=${prefix}/bin/rsync \
-                    --with-perl=${prefix}/bin/perl5.12
+                    --with-perl=${prefix}/bin/perl${perl5.major}
 
 test.run            yes
 
Index: sysutils/dirvish/Portfile
===================================================================
--- sysutils/dirvish/Portfile	(revision 93513)
+++ sysutils/dirvish/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            dirvish
 version         1.2.1
@@ -51,4 +52,4 @@
 
 destroot.args   PREFIX=${prefix}
 
-depends_lib     port:p5.12-time-modules port:p5.12-timedate port:p5.12-time-period port:rsync
+depends_lib     port:p${perl5.major}-time-modules port:p${perl5.major}-timedate port:p${perl5.major}-time-period port:rsync
Index: sysutils/xserve-raid-tools/Portfile
===================================================================
--- sysutils/xserve-raid-tools/Portfile	(revision 93513)
+++ sysutils/xserve-raid-tools/Portfile	(working copy)
@@ -1,5 +1,6 @@
 # $Id$
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name                    xserve-raid-tools
 version                 1.2
@@ -18,7 +19,7 @@
 master_sites            ftp://noc.hep.wisc.edu/pub/src/xserve-raid-tools/
 checksums               md5 fe7d8400a6c85e73cfc5af1f6869a92d
 
-depends_lib		port:p5.12-xml-parser \
+depends_lib		port:p${perl5.major}-xml-parser \
 			port:netcat
 
 variant nagios_plugin {
Index: sysutils/sleuthkit/Portfile
===================================================================
--- sysutils/sleuthkit/Portfile	(revision 93513)
+++ sysutils/sleuthkit/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                sleuthkit
 version             3.2.3
@@ -28,9 +29,9 @@
                     sha256  ba5f63d7fd60d978de03777c72b1571004caa8dfe384f09757b6a8efa890ea62
 
 depends_build       port:file \
-                    port:perl5.12
+                    port:perl${perl5.major}
 depends_lib         port:openssl \
-                    port:p5.12-datemanip \
+                    port:p${perl5.major}-datemanip \
                     port:zlib
 
 configure.args      --mandir=${prefix}/share/man
Index: sysutils/backuppc/Portfile
===================================================================
--- sysutils/backuppc/Portfile	(revision 93513)
+++ sysutils/backuppc/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem            1.0
+PortGroup			perl5	1.0
 name                  backuppc
 categories            sysutils
 version                3.1.0
@@ -14,10 +15,10 @@
 
 master_sites          sourceforge
 
-depends_lib            port:perl5.12 \
-                      port:p5.12-compress-raw-zlib \
-                      port:p5.12-archive-zip \
-                      port:p5.12-file-rsyncp \
+depends_lib            port:perl${perl5.major} \
+                      port:p${perl5.major}-compress-raw-zlib \
+                      port:p${perl5.major}-archive-zip \
+                      port:p${perl5.major}-file-rsyncp \
                       port:samba3 \
                       port:gnutar \
                       port:mod_perl2 \
@@ -100,7 +101,7 @@
   xinstall -d -m 770 -g backuppc -o backuppc ${destroot}${prefix}/var/log/BackupPC
 
   # create backup directory
-  system "cd ${worksrcpath} && ${prefix}/bin/perl5.12 configure.pl ${configure.args}"
+  system "cd ${worksrcpath} && ${prefix}/bin/perl${perl5.major} configure.pl ${configure.args}"
   xinstall -d -m 755 ${destroot}${prefix}/share/doc/
   move ${destroot}${prefix}/doc ${destroot}${prefix}/share/doc/BackupPC
 
Index: sysutils/cssh/Portfile
===================================================================
--- sysutils/cssh/Portfile	(revision 93513)
+++ sysutils/cssh/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                cssh
 version             3.22
@@ -27,8 +28,8 @@
 
 distname            clusterssh-${version}
 
-depends_lib         port:p5.12-tk \
-                    port:p5.12-x11-protocol
+depends_lib         port:p${perl5.major}-tk \
+                    port:p${perl5.major}-x11-protocol
 
 depends_run         port:xterm
 
Index: sysutils/rpm52/Portfile
===================================================================
--- sysutils/rpm52/Portfile	(revision 93513)
+++ sysutils/rpm52/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			rpm52
 version			5.2.1
@@ -133,13 +134,13 @@
 	configure.env-append	__PERL=${prefix}/bin/perl5.10
 }
 
-variant perl5_12 description { use perl 5.12 instead of perl 5.8 } {
+variant perl${perl5.major} description { use perl 5.12 instead of perl 5.8 } {
 	depends_build-delete	port:perl5.8
-	depends_build-append	port:perl5.12
+	depends_build-append	port:perl${perl5.major}
 	configure.env-delete	PERL=${prefix}/bin/perl5.8
-	configure.env-append	PERL=${prefix}/bin/perl5.12
+	configure.env-append	PERL=${prefix}/bin/perl${perl5.major}
 	configure.env-delete	__PERL=${prefix}/bin/perl5.8
-	configure.env-append	__PERL=${prefix}/bin/perl5.12
+	configure.env-append	__PERL=${prefix}/bin/perl${perl5.major}
 }
 
 livecheck.type	regex
Index: sysutils/rpm53/Portfile
===================================================================
--- sysutils/rpm53/Portfile	(revision 93513)
+++ sysutils/rpm53/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			rpm53
 version			5.3.11
@@ -153,13 +154,13 @@
 	configure.env-append	__PERL=${prefix}/bin/perl5.10
 }
 
-variant perl5_12 description { use perl 5.12 instead of perl 5.8 } {
+variant perl${perl5.major} description { use perl 5.12 instead of perl 5.8 } {
 	depends_build-delete	port:perl5.8
-	depends_build-append	port:perl5.12
+	depends_build-append	port:perl${perl5.major}
 	configure.env-delete	PERL=${prefix}/bin/perl5.8
-	configure.env-append	PERL=${prefix}/bin/perl5.12
+	configure.env-append	PERL=${prefix}/bin/perl${perl5.major}
 	configure.env-delete	__PERL=${prefix}/bin/perl5.8
-	configure.env-append	__PERL=${prefix}/bin/perl5.12
+	configure.env-append	__PERL=${prefix}/bin/perl${perl5.major}
 }
 
 livecheck.type	regex
Index: sysutils/rpm54/Portfile
===================================================================
--- sysutils/rpm54/Portfile	(revision 93513)
+++ sysutils/rpm54/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			rpm54
 version			5.4.9
@@ -134,13 +135,13 @@
 	configure.env-append	__PYTHON=${prefix}/bin/python2.7
 }
 
-variant perl5_12 description { use perl 5.12 instead of perl 5.10 } {
+variant perl${perl5.major} description { use perl 5.12 instead of perl 5.10 } {
 	depends_build-delete	port:perl5.10
-	depends_build-append	port:perl5.12
+	depends_build-append	port:perl${perl5.major}
 	configure.env-delete	PERL=${prefix}/bin/perl5.10
-	configure.env-append	PERL=${prefix}/bin/perl5.12
+	configure.env-append	PERL=${prefix}/bin/perl${perl5.major}
 	configure.env-delete	__PERL=${prefix}/bin/perl5.10
-	configure.env-append	__PERL=${prefix}/bin/perl5.12
+	configure.env-append	__PERL=${prefix}/bin/perl${perl5.major}
 }
 
 livecheck.type	regex
Index: sysutils/openbrowser/Portfile
===================================================================
--- sysutils/openbrowser/Portfile	(revision 93513)
+++ sysutils/openbrowser/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem              1.0
+PortGroup			perl5	1.0
 
 name                    openbrowser
 version                 1.0.1
@@ -23,7 +24,7 @@
 
 distfiles
 
-depends_run             port:p5.12-mac-propertylist
+depends_run             port:p${perl5.major}-mac-propertylist
 
 universal_variant       no
 
@@ -34,7 +35,7 @@
 }
 
 build {
-    reinplace "s|/usr/bin/env perl|${prefix}/bin/perl5.12|g" ${worksrcpath}/${name}
+    reinplace "s|/usr/bin/env perl|${prefix}/bin/perl${perl5.major}|g" ${worksrcpath}/${name}
 }
 
 destroot {
